=== debian/changelog ===
dvbcut (0.5.4+svn146-0ubuntu1) natty; urgency=low

  * Package dvbcut, Closes: #457272, LP: #133033
  * Add homepage field
  * Add watch file
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 7
  * Add libswscale-dev to build depends
  * Use Source Format 3.0 (quilt)
  * Fix FTBFS with gcc-4.4
  * update config.sub and config.guess

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2011 11:53:19 +0100
