=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: autotools-dev,
 debhelper (>= 7),
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev,
 libavformat-dev,
 libmad0-dev,
 libpostproc-dev,
 libqt3-mt-dev,
 libswscale-dev,
 qt3-dev-tools,
 scons
Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvbcut.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvbcut.git;a=summary
Homepage: http://dvbcut.sourceforge.net/
Standards-Version: 3.9.1

Package: dvbcut
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBCUT is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.
