## dvbcut 0.5.4+svn170

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: dvbcut
 Section: graphics
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: autotools-dev,
+ cmake,
  debhelper (>= 7),
  liba52-0.7.4-dev,
  libao-dev,
- libavcodec-dev,
- libavformat-dev,
+ libavcodec-dev (>> 4:0.7~),
+ libavformat-dev (>> 4:0.7~),
+ libavutil-dev (>> 4:0.7~),
  libmad0-dev,
- libpostproc-dev,
- libqt3-mt-dev,
- libswscale-dev,
- qt3-dev-tools,
+ libpostproc-dev (>> 4:0.7~),
+ libqt4-dev,
+ libswscale-dev (>> 4:0.7~),
+ qt4-dev-tools,
  scons
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvbcut.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvbcut.git;a=summary
 Homepage: http://dvbcut.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: dvbcut
 Architecture: any
