## dvbcut 0.5.4+svn178

=== Makefile ===
# Makefile - top-level Makefile stub
# Copyright (c) 2009 Michael Riepe
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

default:
	@echo >&2 '*** Attention, please! ***'
	@echo >&2 'The old scons-based build procedure does not work anymore.'
	@echo >&2 'Please run "./configure && make && make install" instead.'
	@echo >&2 '*** We apologize for any inconvenience. ***'
