=== debian/changelog ===
dvbcut (0.5.4+svn178-12) unstable; urgency=medium

  * Replace deprecated ffmpeg APIs (Closes: #803809)
      (Thanks to Andreas Cadhalpun)
  * Due to lintian command-in-menu-file-and-desktop-file:
      - debian/dvbcut.menu removed.

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Wed, 18 Nov 2015 23:55:08 +0100

dvbcut (0.5.4+svn178-11) unstable; urgency=medium

  * Correct changelog date format of the last version (Closes: #795616)
      (Thanks to Chris Lamb)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 16 Aug 2015 17:34:48 +0200

dvbcut (0.5.4+svn178-10) unstable; urgency=medium

  * Make storing of settings work with Qt4 (Closes: #772413)
  * Make keyboard modifier for mousewheel work with Qt4 (Closes: #772346)
      (Both found and fixed by Tim Riemenschneider, thanks)
  * Add to help page the mousewheel keyboard modifiers
  * Fix headless index creation on ARM architecture.
  * Push stanards version to 3.9.6.
  * Transition from libav to ffmpeg (Closes: #793089)
      (Thanks to Sebastian Ramacher and Andreas Cadhalpun)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Tue, 21 Jul 2015 18:08:10 +0200

dvbcut (0.5.4+svn178-9) unstable; urgency=low

  * Include correct fix by Aurelien Jarno for
    lintian hardening-no-relro warning (Closes: #763812).
    - Bump debian/compat from 7 to 9
    - Build-Depends: debhelper >= 9, autotools-dev
    - Remove now unneeded debian/config.{guess,sub}
    - debian/rules
  * Enable parallel builds (debian/rules)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Fri, 03 Oct 2014 01:18:40 +0200

dvbcut (0.5.4+svn178-8) unstable; urgency=medium

  * Fix crash on export video (Closes: #753347)
  * Fix crash when calling with malformed parameters (Closes: #715843)
  * Fix playing audio with mplayer2 (Closes: #753369)
  * Try to fix Hurd build by avoiding PATH_MAX
  * Include dpkg-buildflags hinted by lintian
  * Set maintainer to Bernhard Übelacker (Closes: #741655)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 21 Sep 2014 12:16:23 +0200

dvbcut (0.5.4+svn178-7) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 May 2014 11:34:39 +0200

dvbcut (0.5.4+svn178-6) experimental; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Mar 2014 21:05:39 -0400

dvbcut (0.5.4+svn178-5) experimental; urgency=low

  * Fix FTBFS against libav10 (Closes: #739220)
  * compile against libav10
  * Bump standards version (no changes needed)
  * update Recommends on mplayer

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Mar 2014 14:56:05 +0000
