=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Bernhard Übelacker <bernhardu@vr-web.de>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev (>> 6:10~),
 libavformat-dev (>> 6:10~),
 libavutil-dev (>> 6:10~),
 libmad0-dev,
 libpostproc-dev,
 libqt4-dev,
 libswscale-dev (>> 6:10~),
 pkg-config,
 qt4-dev-tools
Homepage: http://dvbcut.sourceforge.net/
Standards-Version: 3.9.6

Package: dvbcut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 mplayer2 | mpv | mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBcut is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.
