=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r ' s/\+[^+]+$$//')
SVN_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/^[0-9.:-]+\+r//; s/-[^-]+$$//' )
SVN_URL := http://dvbcut.svn.sourceforge.net/svnroot/dvbcut/trunk
ORIG_TAR_GZ := ../$(DEB_SOURCE)_$(UPSTREAM_VERSION)+svn$(SVN_VERSION).orig.tar.gz

%:
	dh $@ --buildsystem=autoconf --with=autoreconf,autotools-dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-ffmpeg=/usr

override_dh_auto_clean:
	rm -rf ffmpeg.src
	rm -rf ffmpeg-patches
	[ ! -f makefile ] || make -f makefile distclean
	dh_clean bin/dvbcut dvbcut.desktop src/Makefile src/dvbcut src/qrc_icons.cpp
	dh_clean
	dh_auto_clean

override_dh_auto_install:

get-orig-source:
	TMPDIR=`mktemp -d` && \
	trap 'rm -rf $${TMPDIR}' EXIT && \
	svn export -r$(SVN_VERSION) $(SVN_URL) $${TMPDIR}/dvbcut && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg.src && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg-patches && \
	rm -rf $${TMPDIR}/dvbcut/debian && \
	tar czvf $(ORIG_TAR_GZ) -C $${TMPDIR} dvbcut
