=== debian/watch ===
version=2
http://sf.net/dvbcut/dvbcut_(.+)\.tar\.bz2
