## dvbcut 0.7.0

=== debian/changelog ===
dvbcut (0.7.0-1) unstable; urgency=low

  * New version 0.7.0
     * Add translations (from dvbcut-qt4)
     * Switched to Qt5.
     * Fix export with lavf muxer.
     * Prepare for new ffmpeg version.
  * Switch upstream repo from Sourceforge to Github.
  * Add fallback to Qt internal icons if themes
      are not available. (Closes: #822609)
  * Changed maintainer email.
  * Push standards version to 3.9.8.
  * Enable hardening flags (Lintian warning).

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Tue, 21 Jun 2016 16:51:07 +0200
