=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
Build-Depends:
 debhelper (>= 10),
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev (>> 6:11~),
 libavformat-dev (>> 6:11~),
 libavutil-dev (>> 6:11~),
 libmad0-dev,
 libswscale-dev (>> 6:11~),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev-tools
Vcs-Git: https://github.com/bernhardu/dvbcut-deb.git
Vcs-Browser: https://github.com/bernhardu/dvbcut-deb
Homepage: https://github.com/bernhardu/dvbcut-deb
Standards-Version: 3.9.8

Package: dvbcut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBcut is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.
