=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk
DVBCUT_VERSION := $(DEB_VERSION)
export CPPFLAGS += -DDVBCUT_VERSION=\"$(DVBCUT_VERSION)\"

%:
	dh $@

override_dh_auto_install:
