=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  liba52-0.7.4-dev,
  libao-dev,
  libavcodec-dev (>> 6:11~),
@@ -19,7 +19,7 @@
 Vcs-Git: https://github.com/bernhardu/dvbcut-deb.git
 Vcs-Browser: https://github.com/bernhardu/dvbcut-deb
 Homepage: https://github.com/bernhardu/dvbcut-deb
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 
 Package: dvbcut
 Architecture: any
