## dvbcut 0.7.4

=== debian/changelog ===
dvbcut (0.7.4-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:02 +1100

dvbcut (0.7.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:17:20 +0000

dvbcut (0.7.4-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:46:33 +0200

dvbcut (0.7.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:48:44 +0000

dvbcut (0.7.4-1) unstable; urgency=low

  * New upstream release 0.7.4.
    - Updated autotools files.
    - Build with ffmpeg 5. (Closes: #1004622)

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.7.3-1.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bernhard Übelacker ]
  * Package new release 0.7.4.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Sun, 26 Jun 2022 19:01:55 +0200
