=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dvbcut
 Section: graphics
 Priority: optional
-Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  liba52-0.7.4-dev,
  libao-dev,
  libavcodec-dev (>> 6:11~),
