=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 	dh $@
 
 override_dh_auto_install:
-
